Gtk2::TreeDragSource(3p)

NAME
Gtk2::TreeDragSource - wrapper for GtkTreeDragSource

HIERARCHY
  Glib::Interface
  +----Gtk2::TreeDragSource

METHODS

  boolean = $drag_source->drag_data_delete ($path)

•   $path (Gtk2::TreePath)

  selection_data = $drag_source->drag_data_get ($path, $selection_data)

•   $path (Gtk2::TreePath)

•   $selection_data (Gtk2::SelectionData)

Get selection data from a drag source. The data is written to $selection_data, or if $selection_data is not given then to a newly created Gtk2::SelectionData object with target type "GTK_TREE_MODEL_ROW". On success the return is the given or new object, or on failure the return is undef.

  boolean = $drag_source->row_draggable ($path)

•   $path (Gtk2::TreePath)

SEE ALSO
Gtk2, Glib::Interface

COPYRIGHT
Copyright (C) 2003-2011 by the gtk2-perl team.

This software is licensed under the LGPL. See Gtk2 for a full notice.